
Search UI - Story #7218

Deploy for use with Version 2 infrastructure

2015-06-16 14:54 - Dave Vieglais

Status: Closed Start date: 2015-11-16

Priority: High Due date:  

Assignee: Lauren Walker % Done: 100%

Category: MetacatUI Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Deploy the Metacat UI as a part of the Version 2 infrastructure release.

Subtasks:

Task # 7490: Search UI filter list does not render correctly under IE 11 Closed

History

#1 - 2015-07-01 16:18 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#2 - 2015-07-01 19:22 - Dave Vieglais

- Category set to MetacatUI

#3 - 2015-11-12 18:12 - Chris Jones

- Assignee changed from Lauren Walker to Chris Jones

I'm currently setting up search-unm-1.dataone.org. Nick has already configured search-ucsb-1.dataone.org, and Lauren has deployed to it.  Gary is

spinning up a search-orc-1.dataone.org VM, and I will deploy the UI there as well.  The DNS entry for search.dataone.org will remain at

search-ucsb-1.dataone.org for production at the moment.

#4 - 2015-11-16 22:59 - Chris Jones

- Assignee changed from Chris Jones to Lauren Walker

The VMs are created, and the 1.8.0 branch code has been deployed to all 3 VMs.  Lauren will be updating the code to the tagged 1.8.1 codebase

once it's tagged, so I'll re-assign this ticket to her.

#5 - 2015-11-16 23:55 - Lauren Walker

- % Done changed from 0 to 30

- Status changed from New to In Progress

I updated search-ucsb-1, search-unm-1, and search-orc-1 with the new MetacatUI 1.8.1 tag. :)  (/)  We just need search-unm-1 and search-orc-1 to

redirect to search.dataone.org and I think we're all set.

#6 - 2015-11-19 15:17 - Chris Jones

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

All three search VMs are now running 1.8.1 as Lauren said.  We don't want redirects on the non-active VMs, since they are used as backups in case
the VM in the DNS entry for search.dataone.org goes down, and we need to change the DNS entry to one of the backups. Closing.
